# Class LocationTableLoadDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.table.gui.LocationTableLoadDialog

All Implemented Interfaces:
  `TableLoadDialog`

public class LocationTableLoadDialog extends AbstractTableLoadDialog
Load dialogue which relies on the user typing the location into a text field.

Since:
  13 Sept 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`LocationTableLoadDialog()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Component`
`createQueryComponent()`
Constructs the query component used by this dialogue.
`TableLoader`
`createTableLoader()`
Returns a new object which specifies how table loading is to be performed.
`JTextField`
`getLocationField()`
Returns the text field into which the location is entered.
`boolean`
`isReady()`
Indicates whether the submit action should be enabled.

### Methods inherited from class AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocationTableLoadDialog

public LocationTableLoadDialog()
Constructor.

## Method Details

### createQueryComponent

protected Component createQueryComponent()
Description copied from class: `AbstractTableLoadDialog`
Constructs the query component used by this dialogue. Called only once (lazily).

Specified by:
  `createQueryComponent` in class `AbstractTableLoadDialog`
Returns:
  query component

### isReady

public boolean isReady()
Description copied from class: `AbstractTableLoadDialog`
Indicates whether the submit action should be enabled. The implementation should return true if the user should be allowed to submit the query, or false if the internal state of this dialogue is known to be incomplete in some way. Evaluation should be fast; the return does not need to provide a guarantee that a submitted query will suceed.

The default implementation returns true.

Overrides:
  `isReady` in class `AbstractTableLoadDialog`
Returns:
  false iff dialogue state is known to be incomplete

### createTableLoader

public TableLoader createTableLoader()
Description copied from interface: `TableLoadDialog`
Returns a new object which specifies how table loading is to be performed. The actions performed by the returned object will presumably be determined by the state at call time of this dialogues GUI component.

If the dialogue is not in a suitable state, either return null, or, if you want to provide more detailed information about what's wrong, throw a RuntimeException with an informative message.

Returns:
  new table loader object

### getLocationField

public JTextField getLocationField()
Returns the text field into which the location is entered.

Returns:
  location text field